# UPLOAD DATA EVIDENCE Upload Request associated data Endpoint: PUT /api/v1/videoid/{video_pk} Version: v1 ## Path parameters: - `video_pk` (string, required) The video request pk ## Request fields (application/json): - `acceptance` (object) A set of acceptance parameters. ⚠ Customizable object for external authentication. - `acceptance.description` (string) Terms and Conditions descriptive text - `acceptance.url-doc-privacypolicy` (string) Privacy policy document URL - `acceptance.ip` (string) The local IP adress - `acceptance.url-web-videoid` (string) Video ID platform access URL - `acceptance.user-agent` (string) A user agent (e.g. web browser) - `acceptance.date` (string) The current date - `acceptance.url-doc-termsconditions` (string) Terms and conditions document URL - `videoid_data` (object) Data to upload for Video ID ⚠ Customizable object for external authentication. - `videoid_data.images` (object) Document images - `videoid_data.images.document_front` (string) Base64 document front image - `videoid_data.images.document_rear` (string) Base64 document rear image - `videoid_data.images.document_photo` (string) Base64 document client picture (extracted from document) - `videoid_data.images.document_owner` (string) Base64 client selfie - `videoid_data.ocr_data` (object) Optical Character Recognition result ⚠ Customizable object for external authentication. - `videoid_data.ocr_data.given_name` (string) The user's given name - `videoid_data.ocr_data.surname_1` (string) The user's first surname - `videoid_data.ocr_data.surname_2` (string) The user's second surname - `videoid_data.ocr_data.mobile_phone_number` (string) The user's mobile phone number - `videoid_data.ocr_data.email` (string) The user's email - `videoid_data.ocr_data.serial_number` (string) The user's document serial number - `videoid_data.ocr_data.id_document_type` (string) Document types allowed for user identification: - IDC - Identification based on national identity card number - PAS - Identification based on passport number - PNO - Identification based on national personal number (national civic registration number) - TIN - Tax Identification Number according to the European Commission Enum: "IDC", "PAS", "PNO", "TIN" - `videoid_data.ocr_data.id_document_country` (string) The user's id document country two-letters code (ISO 3166-1 alpha-2) - `videoid_data.security_checks` (object) Security checks related to document integrity ⚠ Customizable object for external authentication. - `videoid_data.security_checks.otp_validation` (boolean) OTP code validation check - `videoid_data.security_checks.documents_match` (boolean) Documents matching official registers check - `videoid_data.security_checks.data_integrity` (boolean) Document data is not corrupted check - `videoid_data.security_checks.document_notcopy` (boolean) Document is not a copy check - `videoid_data.security_checks.document_notexpired` (boolean) Document is not expired check - `videoid_data.security_checks.document_notunderage` (boolean) The user is not underage check - `videoid_data.security_checks.liveliness` (boolean) The user is real check - `videoid_data.similarity_level` (integer) Level of similarity between document picture and face selfie. Ranges in [0,100]. ## Response 200 fields